{ config, lib, ... }:

let
  domain = "htpro.giugl.io";
in
{
  services.prowlarr.enable = true;

  architect.vhost.${domain} = {
    dnsInterfaces = [ "tailscale" ];

    locations."/" = {
      port = 9696;
      allowLan = true;
    };
  };

  users.groups.media.members = [ "prowlarr" ];
}
