{ pkgs, ... }:

{
  imports = [
    ./zsh.nix
    ./git.nix
    ./helix.nix
  ];

  home = {
    packages = with pkgs; [
      rizin
      sshfs
      victor-mono
      home-manager
      ripgrep
      ydiff
      nix-index
      pipenv
      python3
      htop
      glances
      tree
    ]
    ++ lib.optional (!stdenv.isDarwin) pastebinit;

    stateVersion = "23.05";
  };
}
